package com.ss.android.ugc.aweme.ecommercelive.business.audience.api;

import X.C26043Me;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.android.livesdk.model.ShortTouchPreviewSetting;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class ShortTouch implements Parcelable {
    public static final Parcelable.Creator<ShortTouch> CREATOR = new C26043Me();
    @c(LIZ = "name")
    public final String LIZ;
    @c(LIZ = "schema")
    public final String LIZIZ;
    @c(LIZ = "preview_setting")
    public final ShortTouchPreviewSetting LIZJ;

    static {
        Covode.recordClassIndex(73147);
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        parcel.writeInt(1);
    }
}
